--- a/configure.ac
+++ b/configure.ac
@@ -7,26 +7,17 @@
 AM_INIT_AUTOMAKE(gsmc, 1.0, ik5nax@amsat.org)
 
 # Checks for programs.
-AC_PROG_CC
-pkg_modules="gtk+-2.0"
-PKG_CHECK_MODULES(PACKAGE,[$pkg_modules])
+AM_PROG_CC_C_O
 AC_SUBST(PACKAGE_CFLAGS)
 AC_SUBST(PACKAGE_LIBS)
 
 # Checks for libraries.
-LIBS=" "
-PKG_LIB2=`pkg-config --libs gtk+-2.0`
-PKG_LIB=""
-for i in $PKG_LIB2 ; do
-        case $i in 
-                -l*) PKG_LIB="$i $PKG_LIB" ;;
-                -L*) LIBS="$i $LIBS" ;;
-        esac
-done
-for i in $PKG_LIB ; do
-        j=${i#'-l'}
-        AC_CHECK_LIB($j,main)
-done
+PKG_PROG_PKG_CONFIG
+PKG_CHECK_MODULES([GTK], [gtk+-2.0])
+dnl Check for libm for floor
+AC_SEARCH_LIBS([floor], [m], [], [
+      AC_MSG_ERROR([unable to find the floor() function])
+])
 
 # Checks for header files.
 AC_HEADER_STDC

--- a/Makefile.am
+++ b/Makefile.am
@@ -2,8 +2,8 @@
      
 bin_PROGRAMS=gsmc
 gsmc_SOURCES= autotune.c calc.c dataconv.c draw.c main.c print.c widget.c autotune.h calc.h dataconv.h draw.h main.h print.h widget.h
-INCLUDES=@PACKAGE_CFLAGS@
-LIBS=@PACKAGE_LIBS@
+gsmc_CFLAGS = $(AM_CFLAGS) $(GTK_CFLAGS)
+gsmc_LDADD = $(AM_LDADD) $(GTK_LIBS)
 
 EXTRA_DIST=gsmc.1.in gtkrc TODO
-man_MANS=gsmc.1
\ No newline at end of file
+man_MANS=gsmc.1
